CVE-2002-0852
CVSS5.0
发布时间 :2002-09-05 00:00:00
修订时间 :2008-09-10 15:13:01
NMCO    

[原文]Buffer overflows in Cisco Virtual Private Network (VPN) Client 3.5.4 and earlier allows remote attackers to cause a denial of service via (1) an Internet Key Exchange (IKE) with a large Security Parameter Index (SPI) payload, or (2) an IKE packet with a large number of valid payloads.


[CNNVD]Cisco VPN client存在多个安全漏洞(CNNVD-200209-014)

        
        Cisco Virtual Private Network(VPN) Client软件用来与Cisco VPN集中器进行通讯,它可运行在Windows、Solaris、redhat linux、Apple MaCOS等系统下。
        Cisco VPN Client软件含有多个安全漏洞,攻击者可以利用这些漏洞使Cisco VPN Client软件程序无法正常工作。
        它存在如下三个安全漏洞:
         * 一个含有超过16字节Security Parameter Index(SPI)负载(payload)的Internet Key Exchange (IKE) 数据包可触发VPN Client缓冲区溢出。
         * 一个含有超过57个负载的IKE数据包可触发VPN Client软件缓冲区溢出。
         * VPN Client软件接收到负载长度为零的畸形数据包时,VPN Client软件会占用工作站100%的CPU资源。
        这些漏洞的Cisco bug ID为CSCdy26045。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:cisco:vpn_client:3.5.2::linux
cpe:/a:cisco:vpn_client:3.5.1::linux
cpe:/a:cisco:vpn_client:3.5.2::mac_os_x
cpe:/a:cisco:vpn_client:3.5.1::solaris
cpe:/a:cisco:vpn_client:3.5.2::windows
cpe:/a:cisco:vpn_client:3.5.1::windows
cpe:/a:cisco:vpn_client:3.5.1::mac_os_x
cpe:/a:cisco:vpn_client:3.5.2::solaris

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0852
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0852
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200209-014
(官方数据源) CNNVD

- 其它链接及资源

http://www.cisco.com/warp/public/707/vpnclient-multiple-vuln-pub.shtml
(VENDOR_ADVISORY)  CISCO  20020812 Cisco VPN Client Multiple Vulnerabilities

- 漏洞信息

Cisco VPN client存在多个安全漏洞
中危 未知
2002-09-05 00:00:00 2005-10-20 00:00:00
远程  
        
        Cisco Virtual Private Network(VPN) Client软件用来与Cisco VPN集中器进行通讯,它可运行在Windows、Solaris、redhat linux、Apple MaCOS等系统下。
        Cisco VPN Client软件含有多个安全漏洞,攻击者可以利用这些漏洞使Cisco VPN Client软件程序无法正常工作。
        它存在如下三个安全漏洞:
         * 一个含有超过16字节Security Parameter Index(SPI)负载(payload)的Internet Key Exchange (IKE) 数据包可触发VPN Client缓冲区溢出。
         * 一个含有超过57个负载的IKE数据包可触发VPN Client软件缓冲区溢出。
         * VPN Client软件接收到负载长度为零的畸形数据包时,VPN Client软件会占用工作站100%的CPU资源。
        这些漏洞的Cisco bug ID为CSCdy26045。
        

- 公告与补丁

        临时解决方法:
        此问题没有合适的临时解决方法。
        厂商补丁:
        Cisco
        -----
        Cisco已经为此发布了一个安全公告(Cisco-vpnclient)以及相应补丁:
        Cisco-vpnclient:Cisco Security Advisory: Cisco VPN Client Multiple Vulnerabilities
        链接:
        http://www.cisco.com/warp/public/707/vpnclient-multiple-vuln-pub.shtml

        补丁下载:
        这些漏洞在Cisco VPN Client version 3.6及此后版本中已得到修复,现已提供下载。VPN Client version 3.5.4及此后版本中也将含有这一补丁,2002年9月30日将提供下载。
        关于在不同平台中升级到已修复版本,详情请见:
        
        http://www.cisco.com/univercd/cc/td/doc/product/vpn/client/

- 漏洞信息

15206
Cisco VPN Client IKE Multiple Method Malformed Packet Handling Remote Overflow DoS
Remote / Network Access Denial of Service, Input Manipulation
Loss of Integrity, Loss of Availability Upgrade
Vendor Verified

- 漏洞描述

- 时间线

2002-08-12 Unknow
Unknow Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站